{% extends 'base.html' %}
{% block content %}
<div class="container">
    <div class="row">
        {% if user.is_authenticated %}
        <div class="col-12 col-md-8">
            <h2>Bienvenid@ {{user}}</h2>
        </div>
        <div class="col-12 col-md-4 text-md-right">
            <h4><a href="/logout/" class="btn btn-danger btn-sm fas fa-sign-out-alt" role="button"> Cerrar Sesión</a></h4>
        </div>
        <div class="col-12">
            <hr>
            <h2 class="lilbitofmargin">Mis Listas</h2>
        </div>
        <div class="col-8">
            <form action="/shoppinglist/create/" method="POST">
                {% csrf_token %}
                <input type="text" name="name" id="name" placeholder="Nombre de tu nueva lista" autofocus class="form-control">
                <br>
        </div>
        <div class="col-4">
          <input type="submit" value="Crear" class="btn btn-primary btn-block">
            </form>
        </div>
        <div class="col-12">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <th>Nombre</th>
                    <th>Cantidad de productos</th>
                    <th>Completada</th>
                    <th>Acciones</th>

                    {% for x in shoppinglists %}
                    <tr>
                        <td>
                            {{x.name}}
                        </td>
                        <td>
                            0
                        </td>
                        <td>{% if x.completed %}Si{% else %}No{% endif %}</td>
                        <td>
                            <a href="/shoppinglist/{{x.id}}" class="btn btn-sm btn-primary lilbitofmargin fas fa-th"> Ver detalle</a>
                            <a href="/shoppinglist/delete/{{x.id}}" class="btn btn-sm btn-danger lilbitofmargin fas fa-trash-alt"> Eliminar</a>
                        </td>

                    </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
        {% else %}
        <div class="col-12 text-center">
            <h2><a href="/signin/" class="btn btn-primary btn-block fas fa-sign-in-alt" role="button"> Iniciar Sesión</a> <a href="/signup/" class="btn btn-info btn-block fas fa-user-plus" role="button"> Registrate!</a></h2>
        </div>
        {% endif %}


    </div>
</div>
{% endblock %}